# collada.primitive.BoundPrimitive

class collada.primitive.BoundPrimitive

  A `collada.primitive.Primitive` bound to a transform matrix and material mapping.

  __init__()

  Methods

  `__init__`() |
  `shapes`() | Iterate through the items in this primitive.

  Attributes

  `normal` | Read-only numpy.array of size Nx3 where N is the number of normal values in the primitive's normal source array.
  `normal_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.
  `texcoord_indexset` | Read-only tuple of texture coordinate index arrays.
  `texcoordset` | Read-only tuple of texture coordinate arrays.
  `vertex` | Read-only numpy.array of size Nx3 where N is the number of vertex points in the primitive's vertex source array.
  `vertex_index` | Read-only numpy.array of size Nx3 where N is the number of vertices in the primitive.